export interface Position {
    line: number;
    character: number;
}
export declare abstract class Position {
    static create(line: number, character: number): Position;
    static Min(...positions: Position[]): Position;
    static Max(...positions: Position[]): Position;
    static isBefore(p1: Position, p2: Position): boolean;
    static isBeforeOrEqual(p1: Position, p2: Position): boolean;
    static isAfter(p1: Position, p2: Position): boolean;
    static isAfterOrEqual(p1: Position, p2: Position): boolean;
    static isEqual(p1: Position, p2: Position): boolean;
    static compareTo(p1: Position, p2: Position): number;
}
