"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hash = exports.isNumeric = exports.isNone = exports.isSome = exports.isNotNull = void 0;
const tslib_1 = require("tslib");
const crypto_1 = tslib_1.__importDefault(require("crypto"));
function isNotNull(value) {
    return value != null;
}
exports.isNotNull = isNotNull;
function isSome(value) {
    return value != null;
}
exports.isSome = isSome;
function isNone(value) {
    return value == null;
}
exports.isNone = isNone;
function isNumeric(value) {
    return /-?\d+$/.test(value);
}
exports.isNumeric = isNumeric;
exports.hash = (text) => crypto_1.default
    .createHash('sha1')
    .update(text)
    .digest('hex');
