export declare function isNotNull<T>(value: T | null): value is T;
export declare function isSome<T>(value: T | null | undefined | void): value is NonNullable<T>;
export declare function isNone<T>(value: T | null | undefined | void): value is null | undefined | void;
export declare function isNumeric(value: string): boolean;
export declare const hash: (text: string) => string;
