"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getHeadingFromFileName = void 0;
const tslib_1 = require("tslib");
const title_case_1 = require("title-case");
var hashtags_1 = require("./hashtags");
Object.defineProperty(exports, "extractHashtags", { enumerable: true, get: function () { return hashtags_1.extractHashtags; } });
Object.defineProperty(exports, "extractTagsFromProp", { enumerable: true, get: function () { return hashtags_1.extractTagsFromProp; } });
tslib_1.__exportStar(require("./core"), exports);
/**
 *
 * @param filename
 * @returns title cased heading after removing special characters
 */
exports.getHeadingFromFileName = (filename) => {
    return title_case_1.titleCase(filename.replace(/[^\w\s]/gi, ' '));
};
